import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:dcoupon_sdk_flutter_plugin/dcoupon_sdk_flutter_plugin.dart';

void main() {
  const MethodChannel channel = MethodChannel('dcoupon_sdk_flutter_plugin');

  TestWidgetsFlutterBinding.ensureInitialized();

  setUp(() {
    channel.setMockMethodCallHandler((MethodCall methodCall) async {
      return '42';
    });
  });

  tearDown(() {
    channel.setMockMethodCallHandler(null);
  });

  test('getPlatformVersion', () async {
    //expect(await DcouponSdkFlutterPlugin.platformVersion, '42');
  });
}
