class Constants {
  static const String VERSION = "/v1";
  static const String LOGIN = "login";
  static const String ENROLLMENT_FORM = "enrollmentform";
  static const String ACCEPT_ENROLLMENT = "acceptenrollment";

  // 3rdPartyLoginAPI services
  static const String PATH_LOGIN = "login-sdk" + VERSION;
  static const String PATH_ACCEPT_ENROLLMENT = "acceptenrollment-sdk" + VERSION;
  static const String PATH_ENROLLMENT_FORM = "/enrollmentform-sdk";
  static const String PATH_USER_COUPONS = "userCoupons";
  static const String JWT = "jwt";
  static const String URL_REDIRECT = "urlRedirect";
  static const String METHOD = "method";
  static const String EMAIL = "email";
  static const String EXTERNAL_ID = "externalId";
  static const String ALIAS = "alias";
  static const String GENDER = "gender";
  static const String BIRTHDATE = "birthdate";
  static const String LEGAL_DOCUMENTS_ACCEPTED = "legalDocumentsAccepted";
  static const String CLIENT_API_TOKEN = "client_api_token";
  static const String CLIENT_TYPE = "client_type";
  static const String CLIENT_TYPE_RETAILER = "RETAILER";
  static const String CLIENT_TYPE_COMPANY = "COMPANY";
  static const String COUPON_DETAIL_LIST = "couponDetailList";
  static const String CONTENT_TYPE = "Content-Type";
  static const String JSON_UTF_8 = "application/json";
  static const String TRUE = "true";
  static const String FALSE = "false";
  static const String JSON_RESPONSE = "jsonResponse";
  static const String OK = "OK";
  static const String ERROR = "ERROR";
  static const String SIMPLE_DATE_FORMAT = "yyyy-MM-dd";
  static const String BEARER_ = "Bearer ";
  static const String AUTHORIZATION = "Authorization";

  // api2coupons services
  static const String GET_USER_COUPONS = "rest/user/coupons";
  static const String GET_USER_COUPON_DETAIL = "rest/user/coupon/";
  static const String DEACTIVATE_COUPON = "rest/user/coupon/deactivate/";
  static const String ACTIVATE_COUPON = "rest/user/coupon/activate/";
  static const String CREATE_COUPONS = "rest/user/createMultipleCouponsJWT";
  static const String REDEMPTION_CODE = "rest/user/token";

  static const String BODY = "body";
  static const String FORM = "form";
  static const String LEGAL_DOCUMENTS = "legalDocuments";
  static const String DOC_TYPE = "docType";
  static const String DOC_UUID = "docUuid";
  static const String DEFAULT_LANG = "defaultLang";
  static const String CONTENT = "content";
  static const String LEGAL_DOC = "legalDoc";
  static const String PP = "pp";
  static const String TOU = "tou";
  static const String USER = "user";
}
